FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 03-16-2010, 09:53 PM
Seth Vidal
 
Default Conflicts in latest update

On Tue, 16 Mar 2010, Jesse Keating wrote:

> On Tue, 2010-03-16 at 15:46 -0400, James Antill wrote:
>> but it's possible (Seth has a script, IIRC).
>
> I do believe seth's script works purely from metadata without
> downloading the rpms.

it gets the headers from the pkgs w/o downloading the whole package.

the magic of byte-ranges

-sv

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-17-2010, 03:02 AM
Ankur Sinha
 
Default Conflicts in latest update

On Tue, 2010-03-16 at 21:46 +0100, Michael Schwendt wrote:
> On Tue, 16 Mar 2010 15:46:16 -0400, James wrote:
>
> > Rpmfusion can run auto QA like tests on rpmfusion and Fedora (I don't
> > think we can legally do the same ... but I'm not sure). Finding the file
> > conflicts automatically is harder (you need to download all the rpms),
> > and it's not fast, but it's possible (Seth has a script, IIRC).
>
> I've created and published a proof-of-concept script a couple of times
> before. It's the one I've used to file all those bugs about conflicts
> in Rawhide.
> http://mschwendt.fedorapeople.org/confcheck-remote-split2.py
> (that's a more experimental version that tries to work with just 1GB of RAM)
> It does not download all packages, but just the headers. For packages
> stored in a local mirror, the speed isn't too bad. It ran approx. 11 minutes
> with remote Rawhide, though, on an average dual core machine.
>
> Will Woods/autoqa features a conflicts checker, too,
> https://fedorahosted.org/pipermail/autoqa-results/2010-March/date.html
> which is why I haven't continued with filing further tickets or with
> enhancing my script.


hi,

Is there a wiki page with more info on this script please? How it's to
be used etc.?

--
regards,
Ankur
- FAS : ankursinha ; franciscod @ Freenode
- gpg --keyserver pgp.mit.edu --recv-keys 5E9BF638

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-17-2010, 08:33 AM
Michael Schwendt
 
Default Conflicts in latest update

On Wed, 17 Mar 2010 09:32:19 +0530, Ankur wrote:

> On Tue, 2010-03-16 at 21:46 +0100, Michael Schwendt wrote:
> > On Tue, 16 Mar 2010 15:46:16 -0400, James wrote:
> >
> > > Rpmfusion can run auto QA like tests on rpmfusion and Fedora (I don't
> > > think we can legally do the same ... but I'm not sure). Finding the file
> > > conflicts automatically is harder (you need to download all the rpms),
> > > and it's not fast, but it's possible (Seth has a script, IIRC).
> >
> > I've created and published a proof-of-concept script a couple of times
> > before. It's the one I've used to file all those bugs about conflicts
> > in Rawhide.
> > http://mschwendt.fedorapeople.org/confcheck-remote-split2.py
> > (that's a more experimental version that tries to work with just 1GB of RAM)
> > It does not download all packages, but just the headers. For packages
> > stored in a local mirror, the speed isn't too bad. It ran approx. 11 minutes
> > with remote Rawhide, though, on an average dual core machine.
> >
> > Will Woods/autoqa features a conflicts checker, too,
> > https://fedorahosted.org/pipermail/autoqa-results/2010-March/date.html
> > which is why I haven't continued with filing further tickets or with
> > enhancing my script.
>
>
> hi,
>
> Is there a wiki page with more info on this script please? How it's to
> be used etc.?

My one reads the system's Yum repo configuration by default (and it only
has a few options explained by --help, such as restricting the check to
packages matching a regexp - and a multilib option could be added but it's
not really tested with x86_64 and multiarch repos). Probably the first thing
I'd change if I continued to work on it is to merge the file mode conflicts
with the file checksum conflicts for better readability.

As an example, with Fedora 12 i686 you currently would get:

$ ./confcheck-remote-split2.py
Target distribution:
fedora
rpmfusion-free
rpmfusion-free-updates
rpmfusion-free-updates-testing
updates
updates-testing
Reading repository metadata...
Pass 1: Potential duplicate files in metadata...
Sorting...
Pruning...
Pass 2: Examining duplicates closer...
WARNING: file mode conflict
=> /usr/share/java/maven2/poms
=> dumbster-1.6-9.fc12.noarch maven2-2.0.8-3.fc12.noarch
WARNING: file mode conflict
=> /usr/share/java/maven2/poms
=> maven2-2.0.8-3.fc12.noarch dumbster-1.6-9.fc12.noarch
WARNING: file mode conflict
=> /usr/lib/libpfm.so.3
=> libpfm-3.5-4.fc12.i686 papi-4.0.0-2.fc12.i686
WARNING: file mode conflict
=> /usr/lib/libpfm.so.3
=> papi-4.0.0-2.fc12.i686 libpfm-3.5-4.fc12.i686
WARNING: file mode conflict
=> /etc/redhat-release
=> fedora-release-12-2.noarch ovirt-node-1.9.0-0.fc12.i686
WARNING: file mode conflict
=> /etc/system-release
=> fedora-release-12-2.noarch ovirt-node-1.9.0-0.fc12.i686
WARNING: file mode conflict
=> /etc/redhat-release
=> generic-release-12-1.noarch ovirt-node-1.9.0-0.fc12.i686
WARNING: file mode conflict
=> /etc/system-release
=> generic-release-12-1.noarch ovirt-node-1.9.0-0.fc12.i686
WARNING: file mode conflict
=> /etc/redhat-release
=> ovirt-node-1.9.0-0.fc12.i686 fedora-release-12-2.noarch
WARNING: file mode conflict
=> /etc/redhat-release
=> ovirt-node-1.9.0-0.fc12.i686 generic-release-12-1.noarch
WARNING: file mode conflict
=> /etc/system-release
=> ovirt-node-1.9.0-0.fc12.i686 fedora-release-12-2.noarch
WARNING: file mode conflict
=> /etc/system-release
=> ovirt-node-1.9.0-0.fc12.i686 generic-release-12-1.noarch
=> plt-scheme-4.1.2-3.fc12.src.rpm
=> 1lt-scheme-4.1.2-3.fc12.i686 in fedora
File conflict with: batik-slideshow-1.7-6.fc12.noarch
/usr/bin/slideshow

=> EMBOSS-6.1.0-6.fc12.src.rpm
=> EMBOSS-6.1.0-6.fc12.i686 in updates
File conflict with: pscan-1.3-4.fc12.i686
/usr/bin/pscan
File conflict with: wcstools-3.8.1-1.fc12.i686
/usr/bin/remap

=> amule-2.2.6-1.fc12.src.rpm
=> amule-2.2.6-1.fc12.i686 in rpmfusion-free
File conflict with: cas-0.15-1.fc12.1.noarch
/usr/bin/cas
/usr/share/man/man1/cas.1.gz

=> anaconda-12.46-2.fc12.src.rpm
=> anaconda-12.46-2.fc12.i686 in fedora
File conflict with: ovirt-node-1.9.0-0.fc12.i686
/usr/sbin/gptsync
/usr/sbin/showpart

=> asterisk-1.6.1.17-1.fc12.src.rpm
=> asterisk-1.6.1.17-1.fc12.i686 in updates-testing
File conflict with: callweaver-1.2.1-2.fc12.i686
/usr/sbin/smsq
/usr/sbin/streamplayer

=> batik-1.7-6.fc12.src.rpm
=> batik-slideshow-1.7-6.fc12.noarch in fedora
File conflict with: 1lt-scheme-4.1.2-3.fc12.i686
/usr/bin/slideshow

=> callweaver-1.2.1-2.fc12.src.rpm
=> callweaver-1.2.1-2.fc12.i686 in fedora
File conflict with: asterisk-1.6.1.17-1.fc12.i686
/usr/sbin/smsq
/usr/sbin/streamplayer

=> cas-0.15-1.fc12.1.src.rpm
=> cas-0.15-1.fc12.1.noarch in updates
File conflict with: amule-2.2.6-1.fc12.i686
/usr/bin/cas
/usr/share/man/man1/cas.1.gz

=> dcbd-0.9.15-7.fc12.src.rpm
=> dcbd-devel-0.9.15-7.fc12.i686 in updates
File conflict with: lldpad-devel-0.9.29-1.fc12.i686
/usr/lib/pkgconfig/dcbd.pc

=> fedora-release-12-2.src.rpm
=> fedora-release-12-2.noarch in updates
File conflict with: ovirt-node-1.9.0-0.fc12.i686
/etc/issue.net

=> foo2zjs-0.20080826-3.fc11.src.rpm
=> foo2oak-0.20080826-3.fc11.i586 in rpmfusion-free
File conflict with: foomatic-db-4.0-8.20091126.fc12.noarch
/usr/share/foomatic/db/source/driver/foo2oak-z1.xml

=> foomatic-db-4.0-8.20091126.fc12.src.rpm
=> foomatic-db-4.0-8.20091126.fc12.noarch in updates
File conflict with: foo2oak-0.20080826-3.fc11.i586
/usr/share/foomatic/db/source/driver/foo2oak-z1.xml

=> generic-release-12-1.src.rpm
=> generic-release-12-1.noarch in updates
File conflict with: ovirt-node-1.9.0-0.fc12.i686
/etc/issue.net

=> gnustep-base-1.18.0-5.fc12.src.rpm
=> gnustep-base-devel-1.18.0-5.fc12.i686 in fedora
File conflict with: libFoundation-devel-1.1.3-11.fc9.i386
/usr/include/Foundation/Foundation.h
/usr/include/Foundation/NSArchiver.h
/usr/include/Foundation/NSArray.h
/usr/include/Foundation/NSAttributedString.h
/usr/include/Foundation/NSAutoreleasePool.h
/usr/include/Foundation/NSBundle.h
/usr/include/Foundation/NSByteOrder.h
/usr/include/Foundation/NSCalendarDate.h
/usr/include/Foundation/NSCharacterSet.h
/usr/include/Foundation/NSClassDescription.h
/usr/include/Foundation/NSCoder.h
/usr/include/Foundation/NSComparisonPredicate.h
/usr/include/Foundation/NSCompoundPredicate.h
/usr/include/Foundation/NSConnection.h
/usr/include/Foundation/NSData.h
/usr/include/Foundation/NSDate.h
/usr/include/Foundation/NSDateFormatter.h
/usr/include/Foundation/NSDebug.h
/usr/include/Foundation/NSDecimal.h
/usr/include/Foundation/NSDecimalNumber.h
/usr/include/Foundation/NSDictionary.h
/usr/include/Foundation/NSDistantObject.h
/usr/include/Foundation/NSDistributedLock.h
/usr/include/Foundation/NSEnumerator.h
/usr/include/Foundation/NSError.h
/usr/include/Foundation/NSException.h
/usr/include/Foundation/NSExpression.h
/usr/include/Foundation/NSFileHandle.h
/usr/include/Foundation/NSFileManager.h
/usr/include/Foundation/NSFormatter.h
/usr/include/Foundation/NSGeometry.h
/usr/include/Foundation/NSHashTable.h
/usr/include/Foundation/NSHost.h
/usr/include/Foundation/NSInvocation.h
/usr/include/Foundation/NSKeyValueCoding.h
/usr/include/Foundation/NSLock.h
/usr/include/Foundation/NSMapTable.h
/usr/include/Foundation/NSMethodSignature.h
/usr/include/Foundation/NSNotification.h
/usr/include/Foundation/NSNotificationQueue.h
/usr/include/Foundation/NSNull.h
/usr/include/Foundation/NSNumberFormatter.h
/usr/include/Foundation/NSObjCRuntime.h
/usr/include/Foundation/NSObject.h
/usr/include/Foundation/NSPathUtilities.h
/usr/include/Foundation/NSPort.h
/usr/include/Foundation/NSPortCoder.h
/usr/include/Foundation/NSPortMessage.h
/usr/include/Foundation/NSPortNameServer.h
/usr/include/Foundation/NSPredicate.h
/usr/include/Foundation/NSProcessInfo.h
/usr/include/Foundation/NSProxy.h
/usr/include/Foundation/NSRange.h
/usr/include/Foundation/NSRunLoop.h
/usr/include/Foundation/NSScanner.h
/usr/include/Foundation/NSSerialization.h
/usr/include/Foundation/NSSet.h
/usr/include/Foundation/NSSortDescriptor.h
/usr/include/Foundation/NSStream.h
/usr/include/Foundation/NSString.h
/usr/include/Foundation/NSTask.h
/usr/include/Foundation/NSThread.h
/usr/include/Foundation/NSTimeZone.h
/usr/include/Foundation/NSTimer.h
/usr/include/Foundation/NSURL.h
/usr/include/Foundation/NSURLHandle.h
/usr/include/Foundation/NSUndoManager.h
/usr/include/Foundation/NSUserDefaults.h
/usr/include/Foundation/NSUtilities.h
/usr/include/Foundation/NSValue.h
/usr/include/Foundation/NSZone.h

=> libFoundation-1.1.3-11.fc9.src.rpm
=> libFoundation-devel-1.1.3-11.fc9.i386 in fedora
File conflict with: gnustep-base-devel-1.18.0-5.fc12.i686
/usr/include/Foundation/Foundation.h
/usr/include/Foundation/NSArchiver.h
/usr/include/Foundation/NSArray.h
/usr/include/Foundation/NSAttributedString.h
/usr/include/Foundation/NSAutoreleasePool.h
/usr/include/Foundation/NSBundle.h
/usr/include/Foundation/NSByteOrder.h
/usr/include/Foundation/NSCalendarDate.h
/usr/include/Foundation/NSCharacterSet.h
/usr/include/Foundation/NSClassDescription.h
/usr/include/Foundation/NSCoder.h
/usr/include/Foundation/NSComparisonPredicate.h
/usr/include/Foundation/NSCompoundPredicate.h
/usr/include/Foundation/NSConnection.h
/usr/include/Foundation/NSData.h
/usr/include/Foundation/NSDate.h
/usr/include/Foundation/NSDateFormatter.h
/usr/include/Foundation/NSDebug.h
/usr/include/Foundation/NSDecimal.h
/usr/include/Foundation/NSDecimalNumber.h
/usr/include/Foundation/NSDictionary.h
/usr/include/Foundation/NSDistantObject.h
/usr/include/Foundation/NSDistributedLock.h
/usr/include/Foundation/NSEnumerator.h
/usr/include/Foundation/NSError.h
/usr/include/Foundation/NSException.h
/usr/include/Foundation/NSExpression.h
/usr/include/Foundation/NSFileHandle.h
/usr/include/Foundation/NSFileManager.h
/usr/include/Foundation/NSFormatter.h
/usr/include/Foundation/NSGeometry.h
/usr/include/Foundation/NSHashTable.h
/usr/include/Foundation/NSHost.h
/usr/include/Foundation/NSInvocation.h
/usr/include/Foundation/NSKeyValueCoding.h
/usr/include/Foundation/NSLock.h
/usr/include/Foundation/NSMapTable.h
/usr/include/Foundation/NSMethodSignature.h
/usr/include/Foundation/NSNotification.h
/usr/include/Foundation/NSNotificationQueue.h
/usr/include/Foundation/NSNull.h
/usr/include/Foundation/NSNumberFormatter.h
/usr/include/Foundation/NSObjCRuntime.h
/usr/include/Foundation/NSObject.h
/usr/include/Foundation/NSPathUtilities.h
/usr/include/Foundation/NSPort.h
/usr/include/Foundation/NSPortCoder.h
/usr/include/Foundation/NSPortMessage.h
/usr/include/Foundation/NSPortNameServer.h
/usr/include/Foundation/NSPredicate.h
/usr/include/Foundation/NSProcessInfo.h
/usr/include/Foundation/NSProxy.h
/usr/include/Foundation/NSRange.h
/usr/include/Foundation/NSRunLoop.h
/usr/include/Foundation/NSScanner.h
/usr/include/Foundation/NSSerialization.h
/usr/include/Foundation/NSSet.h
/usr/include/Foundation/NSSortDescriptor.h
/usr/include/Foundation/NSStream.h
/usr/include/Foundation/NSString.h
/usr/include/Foundation/NSTask.h
/usr/include/Foundation/NSThread.h
/usr/include/Foundation/NSTimeZone.h
/usr/include/Foundation/NSTimer.h
/usr/include/Foundation/NSURL.h
/usr/include/Foundation/NSURLHandle.h
/usr/include/Foundation/NSUndoManager.h
/usr/include/Foundation/NSUserDefaults.h
/usr/include/Foundation/NSUtilities.h
/usr/include/Foundation/NSValue.h
/usr/include/Foundation/NSZone.h

=> libeina-0.9.9.063-6.fc12.src.rpm
=> libeina-devel-0.9.9.063-6.fc12.i686 in updates
File conflict with: libftdi-devel-0.17-2.fc12.i686
/usr/share/man/man3/deprecated.3.gz

=> libftdi-0.17-2.fc12.src.rpm
=> libftdi-devel-0.17-2.fc12.i686 in updates-testing
File conflict with: libeina-devel-0.9.9.063-6.fc12.i686
/usr/share/man/man3/deprecated.3.gz

=> libpfm-3.5-4.fc12.src.rpm
=> libpfm-devel-3.5-4.fc12.i686 in fedora
File conflict with: papi-devel-4.0.0-2.fc12.i686
/usr/include/perfmon/perfmon.h
/usr/include/perfmon/perfmon_dfl_smpl.h
/usr/include/perfmon/perfmon_pebs_core_smpl.h
/usr/include/perfmon/pfmlib.h
/usr/include/perfmon/pfmlib_gen_ia32.h
/usr/share/man/man3/libpfm.3.gz
/usr/share/man/man3/libpfm_core.3.gz
/usr/share/man/man3/pfm_find_event.3.gz
/usr/share/man/man3/pfm_get_event_name.3.gz
/usr/share/man/man3/pfm_get_pmu_name.3.gz
/usr/share/man/man3/pfm_strerror.3.gz

=> openwsman-2.2.0-3.fc12.src.rpm
=> libwsman1-2.2.0-3.fc12.i686 in updates
File conflict with: openwsman-2.2.0-1.fc12.i686
/usr/lib/libwsman.so.1.0.0
/usr/lib/libwsman_client.so.1.0.0
/usr/lib/libwsman_curl_client_transport.so.1.0.0

=> lldpad-0.9.29-1.fc12.src.rpm
=> lldpad-devel-0.9.29-1.fc12.i686 in updates-testing
File conflict with: dcbd-devel-0.9.15-7.fc12.i686
/usr/lib/pkgconfig/dcbd.pc

=> lsdvd-0.16-12.fc12.src.rpm
=> lsdvd-0.16-12.fc12.i686 in fedora
File conflict with: streamdvd-streamanalyze-0.4-8.fc10.i386
/usr/bin/lsdvd

=> openser-1.3.4-8.fc12.src.rpm
=> openser-db_berkeley-1.3.4-8.fc12.i686 in fedora
File conflict with: opensips-db_berkeley-1.6.1-1.fc12.i686
/usr/sbin/bdb_recover

=> opensips-1.6.1-1.fc12.src.rpm
=> opensips-db_berkeley-1.6.1-1.fc12.i686 in updates
File conflict with: openser-db_berkeley-1.3.4-8.fc12.i686
/usr/sbin/bdb_recover

=> openwsman-2.2.0-1.fc12.src.rpm
=> openwsman-2.2.0-1.fc12.i686 in fedora
File conflict with: libwsman1-2.2.0-3.fc12.i686
/usr/lib/libwsman.so.1.0.0
/usr/lib/libwsman_client.so.1.0.0
/usr/lib/libwsman_curl_client_transport.so.1.0.0
File conflict with: openwsman-client-2.2.0-3.fc12.i686
/usr/lib/libwsman_clientpp.so.0.0.0
File conflict with: openwsman-server-2.2.0-3.fc12.i686
/etc/openwsman/openwsman.conf
/etc/openwsman/ssleay.cnf
/usr/lib/libwsman_server.so.1.0.0
/usr/lib/openwsman/authenticators/libwsman_file_auth.so.1.0.0
/usr/lib/openwsman/authenticators/libwsman_pam_auth.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_cim_plugin.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_identify_plugin.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_test.so.1.0.0
/usr/sbin/openwsmand

=> openwsman-2.2.0-3.fc12.src.rpm
=> openwsman-client-2.2.0-3.fc12.i686 in updates
File conflict with: openwsman-2.2.0-1.fc12.i686
/usr/lib/libwsman_clientpp.so.0.0.0

=> openwsman-2.2.0-3.fc12.src.rpm
=> openwsman-ruby-2.2.0-3.fc12.i686 in updates
File conflict with: ruby-openwsman-2.2.0-1.fc12.i686
/usr/lib/ruby/site_ruby/1.8/i386-linux/openwsman.so

=> openwsman-2.2.0-3.fc12.src.rpm
=> openwsman-server-2.2.0-3.fc12.i686 in updates
File conflict with: openwsman-2.2.0-1.fc12.i686
/etc/openwsman/openwsman.conf
/etc/openwsman/ssleay.cnf
/usr/lib/libwsman_server.so.1.0.0
/usr/lib/openwsman/authenticators/libwsman_file_auth.so.1.0.0
/usr/lib/openwsman/authenticators/libwsman_pam_auth.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_cim_plugin.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_identify_plugin.so.1.0.0
/usr/lib/openwsman/plugins/libwsman_test.so.1.0.0
/usr/sbin/openwsmand

=> ovirt-node-1.9.0-0.fc12.src.rpm
=> ovirt-node-1.9.0-0.fc12.i686 in updates-testing
File conflict with: anaconda-12.46-2.fc12.i686
/usr/sbin/gptsync
/usr/sbin/showpart
File conflict with: fedora-release-12-2.noarch
/etc/issue.net
File conflict with: generic-release-12-1.noarch
/etc/issue.net
File conflict with: postgresql-8.4.3-1.fc12.i686
/usr/bin/createuser

=> papi-4.0.0-2.fc12.src.rpm
=> papi-devel-4.0.0-2.fc12.i686 in updates
File conflict with: libpfm-devel-3.5-4.fc12.i686
/usr/include/perfmon/perfmon.h
/usr/include/perfmon/perfmon_dfl_smpl.h
/usr/include/perfmon/perfmon_pebs_core_smpl.h
/usr/include/perfmon/pfmlib.h
/usr/include/perfmon/pfmlib_gen_ia32.h
/usr/share/man/man3/libpfm.3.gz
/usr/share/man/man3/libpfm_core.3.gz
/usr/share/man/man3/pfm_find_event.3.gz
/usr/share/man/man3/pfm_get_event_name.3.gz
/usr/share/man/man3/pfm_get_pmu_name.3.gz
/usr/share/man/man3/pfm_strerror.3.gz

=> pootle-2.0.1-2.fc12.src.rpm
=> pootle-2.0.1-2.fc12.noarch in updates
File conflict with: python-djblets-0.5.6-0.fc12.noarch
/usr/lib/python2.6/site-packages/djblets/__init__.py
/usr/lib/python2.6/site-packages/djblets/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyo
/usr/lib/python2.6/site-packages/djblets/util/__init__.py
/usr/lib/python2.6/site-packages/djblets/util/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/util/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/util/context_processors.py
/usr/lib/python2.6/site-packages/djblets/util/context_processors.pyc
/usr/lib/python2.6/site-packages/djblets/util/context_processors.pyo
/usr/lib/python2.6/site-packages/djblets/util/dates.py
/usr/lib/python2.6/site-packages/djblets/util/dates.pyc
/usr/lib/python2.6/site-packages/djblets/util/dates.pyo
/usr/lib/python2.6/site-packages/djblets/util/db.py
/usr/lib/python2.6/site-packages/djblets/util/db.pyc
/usr/lib/python2.6/site-packages/djblets/util/db.pyo
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.py
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyc
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyo
/usr/lib/python2.6/site-packages/djblets/util/decorators.pyc
/usr/lib/python2.6/site-packages/djblets/util/decorators.pyo
/usr/lib/python2.6/site-packages/djblets/util/fields.pyc
/usr/lib/python2.6/site-packages/djblets/util/fields.pyo
/usr/lib/python2.6/site-packages/djblets/util/http.py
/usr/lib/python2.6/site-packages/djblets/util/http.pyc
/usr/lib/python2.6/site-packages/djblets/util/http.pyo
/usr/lib/python2.6/site-packages/djblets/util/misc.py
/usr/lib/python2.6/site-packages/djblets/util/misc.pyc
/usr/lib/python2.6/site-packages/djblets/util/misc.pyo
/usr/lib/python2.6/site-packages/djblets/util/rooturl.py
/usr/lib/python2.6/site-packages/djblets/util/rooturl.pyc
/usr/lib/python2.6/site-packages/djblets/util/rooturl.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyo
/usr/lib/python2.6/site-packages/djblets/util/testing.py
/usr/lib/python2.6/site-packages/djblets/util/testing.pyc
/usr/lib/python2.6/site-packages/djblets/util/testing.pyo
/usr/lib/python2.6/site-packages/djblets/util/tests.py
/usr/lib/python2.6/site-packages/djblets/util/tests.pyc
/usr/lib/python2.6/site-packages/djblets/util/tests.pyo

=> postgresql-8.4.3-1.fc12.src.rpm
=> postgresql-8.4.3-1.fc12.i686 in updates-testing
File conflict with: ovirt-node-1.9.0-0.fc12.i686
/usr/bin/createuser

=> pscan-1.3-4.fc12.src.rpm
=> pscan-1.3-4.fc12.i686 in fedora
File conflict with: EMBOSS-6.1.0-6.fc12.i686
/usr/bin/pscan

=> python-djblets-0.5.6-0.fc12.src.rpm
=> python-djblets-0.5.6-0.fc12.noarch in updates
File conflict with: pootle-2.0.1-2.fc12.noarch
/usr/lib/python2.6/site-packages/djblets/__init__.py
/usr/lib/python2.6/site-packages/djblets/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyo
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.py
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyc
/usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyo
/usr/lib/python2.6/site-packages/djblets/util/__init__.py
/usr/lib/python2.6/site-packages/djblets/util/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/util/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/util/context_processors.py
/usr/lib/python2.6/site-packages/djblets/util/context_processors.pyc
/usr/lib/python2.6/site-packages/djblets/util/context_processors.pyo
/usr/lib/python2.6/site-packages/djblets/util/dates.py
/usr/lib/python2.6/site-packages/djblets/util/dates.pyc
/usr/lib/python2.6/site-packages/djblets/util/dates.pyo
/usr/lib/python2.6/site-packages/djblets/util/db.py
/usr/lib/python2.6/site-packages/djblets/util/db.pyc
/usr/lib/python2.6/site-packages/djblets/util/db.pyo
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.py
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyc
/usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyo
/usr/lib/python2.6/site-packages/djblets/util/decorators.pyc
/usr/lib/python2.6/site-packages/djblets/util/decorators.pyo
/usr/lib/python2.6/site-packages/djblets/util/fields.pyc
/usr/lib/python2.6/site-packages/djblets/util/fields.pyo
/usr/lib/python2.6/site-packages/djblets/util/http.py
/usr/lib/python2.6/site-packages/djblets/util/http.pyc
/usr/lib/python2.6/site-packages/djblets/util/http.pyo
/usr/lib/python2.6/site-packages/djblets/util/misc.py
/usr/lib/python2.6/site-packages/djblets/util/misc.pyc
/usr/lib/python2.6/site-packages/djblets/util/misc.pyo
/usr/lib/python2.6/site-packages/djblets/util/rooturl.py
/usr/lib/python2.6/site-packages/djblets/util/rooturl.pyc
/usr/lib/python2.6/site-packages/djblets/util/rooturl.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyo
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.py
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyc
/usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyo
/usr/lib/python2.6/site-packages/djblets/util/testing.py
/usr/lib/python2.6/site-packages/djblets/util/testing.pyc
/usr/lib/python2.6/site-packages/djblets/util/testing.pyo
/usr/lib/python2.6/site-packages/djblets/util/tests.py
/usr/lib/python2.6/site-packages/djblets/util/tests.pyc
/usr/lib/python2.6/site-packages/djblets/util/tests.pyo

=> openwsman-2.2.0-1.fc12.src.rpm
=> ruby-openwsman-2.2.0-1.fc12.i686 in fedora
File conflict with: openwsman-ruby-2.2.0-3.fc12.i686
/usr/lib/ruby/site_ruby/1.8/i386-linux/openwsman.so

=> streamdvd-0.4-8.fc10.src.rpm
=> streamdvd-streamanalyze-0.4-8.fc10.i386 in rpmfusion-free
File conflict with: lsdvd-0.16-12.fc12.i686
/usr/bin/lsdvd

=> synergy-1.3.1-14.fc12.src.rpm
=> synergy-1.3.1-14.fc12.i686 in fedora
File conflict with: synergy-plus-1.3.4-3.fc12.i686
/usr/bin/synergyc
/usr/bin/synergys

=> synergy-plus-1.3.4-3.fc12.src.rpm
=> synergy-plus-1.3.4-3.fc12.i686 in fedora
File conflict with: synergy-1.3.1-14.fc12.i686
/usr/bin/synergyc
/usr/bin/synergys

=> wcstools-3.8.1-1.fc12.src.rpm
=> wcstools-3.8.1-1.fc12.i686 in updates
File conflict with: EMBOSS-6.1.0-6.fc12.i686
/usr/bin/remap

Done.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-17-2010, 09:09 AM
Jon Masters
 
Default Conflicts in latest update

On Tue, 2010-03-16 at 13:44 +0100, Ralf Corsepius wrote:
> On 03/16/2010 01:37 PM, Matěj Cepl wrote:
> > Dne 16.3.2010 13:04, Jon Masters napsal(a):
> >> I'd just add those gstreamer packages to my exclude config in yum for
> >> the moment, if you don't want to deal with the breakage each time. Then
> >> you can remove those excludes when the repos catch up with each other.
> >>
> >> /etc/yum.conf:
> >>
> >> exclude=gstreamer-plugins-bad-free gstreamer-plugins-good
> >
> > It's safer to use --skip-broken parameter of yum for awhile.
>
> Doesn't work in this particular case, because yum doesn't catch the file
> conflicts this update causes.

Right, that would be why I suggested the exclude and not skip-broken. I
didn't file a bug because I thought this naming issue/conflict was well
known by now. I've seen similar in the past, apologies for assuming.

Jon.


--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 01:24 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org